Index: /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/App_Code/AdminHelper.cshtml
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/App_Code/AdminHelper.cshtml	(revision 11221)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/App_Code/AdminHelper.cshtml	(revision 11222)
@@ -18,13 +18,16 @@
  *@
 
-@helper UserList(string destinationTag, string url, bool multiline) {
+@helper UserList(string destinationTag, string url, bool multiline)
+{
   <script>
     $.ajax({
       url: "@(new HtmlString(url))", datatype: "json", success: function (result) {
         $("#" + "@destinationTag").html("");
-        @if(multiline) {
+        @if (multiline)
+        {
           @:$("#" + "@destinationTag").attr("size", result.length);
         }
-        else {
+        else
+        {
           @:$("#" + "@destinationTag").append("<option></option>");
         }
@@ -39,5 +42,6 @@
 @helper UserTaskStats(string destinationTag, string url, string userName, string start, string end)
 {
-  if (userName != "" || userName != null) {
+  if (userName != "" || userName != null)
+  {
     <text>
       $.ajax({
@@ -58,2 +62,66 @@
   }
 }
+
+@helper MoreTaskInfo(string url)
+{
+  <text>
+    function MoreTaskInfo(caller) {
+      if($(caller).siblings('.moreInfoTable').length == 0) {
+        var taskId = $(caller).attr('id');
+        $.ajax({
+          url: "@(new HtmlString(url))?taskId=" + taskId, datatype: "json", success: function (result) {
+            var appendString = '<table class="moreInfoTable"><tr>';
+            for (var i = 0; i < result.length; i++) {
+              if(i % 2 == 0 && i != 0) {
+                appendString += '</tr><tr>';
+              }
+              appendString += '<td class="taskInfoCell"><label class="taskInfoKey">' + result[i].Key + '</label>';
+              appendString += '<label class="taskInfoValue">' + +result[i].Value.toFixed(4) + '</label></td>';
+            }
+            appendString += '</tr></table>'
+            $(caller).parent().append(appendString);
+          }
+        });
+        $(caller).html("Less Info");
+      }
+      else {
+        $(caller).siblings('.moreInfoTable').remove();
+        $(caller).html("More Info");
+      }
+    }
+  </text>
+}
+
+@helper MoreSlaveInfo(string url)
+{
+  <text>
+    function MoreSlaveInfo(caller) {
+      if($(caller).siblings('.moreInfoTable').length == 0) {
+        var slaveId = $(caller).attr('id');
+        $.ajax({
+          url: "@(new HtmlString(url))?slaveId=" + slaveId, datatype: "json", success: function (result) {
+            var appendString = '<table class="moreInfoTable"><tr>';
+            for (var i = 0; i < result[0].length; i++) {
+              appendString += '<th class="slaveInfoHeader">' + result[0][i].Key + '</th>'
+            }
+            appendString += '</tr>';
+            for (var j = 0; j < result.length; j++) {
+              appendString += '<tr>';
+              for (var k = 0; k < result[j].length; k++) {
+                appendString += '<td class="slaveInfoCell"><label class="slaveInfoValue">' + result[j][k].Value + '</label></td>';
+              }
+              appendString += '</tr>';
+            }
+            appendString += '</table>'
+            $(caller).parent().append(appendString);
+          }
+        });
+        $(caller).html("Less Info");
+      }
+      else {
+        $(caller).siblings('.moreInfoTable').remove();
+        $(caller).html("More Info");
+      }
+    }
+  </text>
+}
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/App_Code/ChartHelper.cshtml
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/App_Code/ChartHelper.cshtml	(revision 11221)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/App_Code/ChartHelper.cshtml	(revision 11222)
@@ -250,12 +250,21 @@
         $("#@(destinationTag)").find(".errorContainer, .errorTitle, .errorTask, .errorMessage").css('display','none');
 
+        //Set variable for tracking jobId and open first job grouping
+        var currentJob = result[0].JobId;
+        $("#@(destinationTag)").append('<section class="jobTaskGroup" id="' + result[0].JobId + '"><h1>' + result[0].JobName + '</h1></section>');
+
         //For each result create a seperate collapsable section with a chart and info label
         for(var i = 0; i < result.length; i++){
-          $("#" + "@(destinationTag)").append(
+          if(currentJob != result[i].JobId) {
+            $("#@(destinationTag)").append('<section class="jobTaskGroup" id="' + result[i].JobId + '"><h1>' + result[i].JobName + '</h1></section>');
+            currentJob = result[i].JobId;
+          }
+          $("#" + currentJob).append(
             '<section class="chartContainer">' + 
-              '<h1 class="title" id="@(destinationTag)' + result[i].Key + 'PlotTitle">Task ' + result[i].Key + '</h1>' + 
+              '<h1 class="title" id="@(destinationTag)' + result[i].TaskId + 'PlotTitle">Task ' + result[i].TaskId + '</h1>' + 
               '<button class="collapse" onclick="CollapseSection(this)">+</button>' + 
               '<div id="@(destinationTag)Plot' + i + '"></div>' + 
               '<label id="@(destinationTag)PlotInfo' + i + '"></label>' + 
+              '<a id="' + result[i].TaskId + '" class="moreInfo" onclick="MoreTaskInfo(this)">More Info</a>' +
             '</section>'
           )
@@ -263,7 +272,7 @@
           //those of errors
           $(".errorTask","#" + "@(destinationTag)").each(function() { 
-            if($(this).html()==result[i].Key) {
-              $("#@(destinationTag)" + result[i].Key + "PlotTitle").css("color","red");
-              $("#@(destinationTag)" + result[i].Key + "PlotTitle").append(" - ERROR");
+            if($(this).html()==result[i].TaskId) {
+              $("#@(destinationTag)" + result[i].TaskId + "PlotTitle").css("color","red");
+              $("#@(destinationTag)" + result[i].TaskId + "PlotTitle").append(" - ERROR");
               $(".errorContainer, .errorTitle, .underline","#@(destinationTag)").css('display','inline-block');
               $(this).css('display','inline-block');
@@ -271,7 +280,7 @@
             }
           });
-          waitTime = [result[i].Value[0]];
-          transferTime = [result[i].Value[1]];
-          runTime = [result[i].Value[2]];
+          waitTime = [result[i].TotalWaiting];
+          transferTime = [result[i].TotalTransfer];
+          runTime = [result[i].TotalRuntime];
           window["@(destinationTag)Plot" + i] = $.jqplot("@(destinationTag)Plot" + i, [waitTime,transferTime,runTime], {
             seriesDefaults:{
@@ -307,5 +316,5 @@
             upon data in the label below the chart */
           $("#" + "@(destinationTag)Plot" + i).bind('jqplotDataClick', function (ev, seriesIndex, pointIndex, data) {
-            $(this).siblings("label").html(seriesDescriptions[seriesIndex] + ": " + data[1]);
+            $(this).next("label").html(seriesDescriptions[seriesIndex] + ": " + data[1]);
           });
 
@@ -551,9 +560,10 @@
         $('#' + destTag).append(
           '<section class="chartContainer">' + 
-            '<h1 class="title" id="' + destTag + result[i][0].SlaveID + 'PlotTitle">Slave ' + result[i][0].SlaveID + '</h1>' + 
+            '<h1 class="title" id="' + destTag + result[i][0].SlaveID + 'PlotTitle">Slave ' + result[i][0].ClientName + '</h1>' + 
             '<button class="collapse" onclick="CollapseSection(this)">+</button>' + 
             '<div id="' + destTag + slaveChartNames[0] + 'Plot' + i + '"></div>' + 
             '<div id="' + destTag + slaveChartNames[1] + 'Plot' + i + '"></div>' + 
             '<div id="' + destTag + slaveChartNames[2] + 'Plot' + i + '"></div>' + 
+            '<a id="' + result[i][0].SlaveID + '" class="moreInfo" onclick="MoreSlaveInfo(this)">More Info</a>' +
           '</section>');
         for(j = 0; j < result[i].length; j++) {
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/App_Code/ExceptionHelper.cshtml
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/App_Code/ExceptionHelper.cshtml	(revision 11221)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/App_Code/ExceptionHelper.cshtml	(revision 11222)
@@ -102,4 +102,11 @@
         $("#" + "@destinationTag").append(ErrorHTML);
       }
+      else if("@(destinationTag)" == "ExceptionContainer") {
+        $("#@(destinationTag)").append(
+          '<section class="chartContainer">' + 
+            '<h1 class="title">No errors found for the specified filters!</h1>' + 
+          '</section>'
+        )
+      }
     }
   });
@@ -144,5 +151,5 @@
 @helper ShowErrors(string destinationTag) {
   <text>
-  $("#@(destinationTag)").children(".errorContainer, .errorTitle, .errorTask, .errorMessage").css('display','inline-block');
+  $("#@(destinationTag)").find(".errorContainer, .errorTitle, .errorTask, .errorMessage").css('display','inline-block');
   </text>
 }
@@ -200,7 +207,8 @@
             '<button class="collapse" onclick="CollapseSection(this)">+</button>' + 
             '<label id="' + result[i][0] + 'ErrorMessage">Error Message: ' + result[i][1] + '</label>' + 
-            '<label id="' + result[i][0] + 'Client">Slave: <a onclick="ShowSlaveInfo(this)">' + result[i][2] + '</a></label>' + 
-            '<label id="' + result[i][0] + 'User">User Name: ' + result[i][3] + '</label>' + 
-            '<label id="' + result[i][0] + 'Date">Date/Time: ' + result[i][4] + '</label>' + 
+            '<label id="' + result[i][0] + 'Client">Slave: <a id="' + result[i][2] + '" onclick="ShowSlaveInfo(this)">' + result[i][3] + '</a></label>' + 
+            '<label id="' + result[i][0] + 'User">User Name: ' + result[i][4] + '</label>' + 
+            '<label id="' + result[i][0] + 'Job">Job Name: ' + result[i][5] + '</label>' + 
+            '<label id="' + result[i][0] + 'Date">Date/Time: ' + result[i][6] + '</label>' + 
           '</section>'
         );
@@ -229,6 +237,7 @@
   //Opens a sub-container with slave information
   function ShowSlaveInfo(caller) {
+    var taskSlaveId = $(caller).attr('id');
     if($(caller).parent().parent().children(".chartContainer").length == 0) {
-      @ChartHelper.SlaveInfoChart("caller.parentNode.parentNode.id",url,limit,true,startDate,endDate,null,null,null,"$(caller).html()")
+      @ChartHelper.SlaveInfoChart("caller.parentNode.parentNode.id",url,limit,true,startDate,endDate,null,null,null,"taskSlaveId")
     }
     else {
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Controllers/AdminDataController.cs
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Controllers/AdminDataController.cs	(revision 11221)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Controllers/AdminDataController.cs	(revision 11222)
@@ -24,8 +24,6 @@
     }
 
-    public JsonResult TaskStats(DateTime start, DateTime end, string userName=null)
-    {
-      using (var db = new HiveDataContext(Settings.Default.HeuristicLab_Hive_LinqConnectionString))
-      {
+    public JsonResult TaskStats(DateTime start, DateTime end, string userName=null) {
+      using (var db = new HiveDataContext(Settings.Default.HeuristicLab_Hive_LinqConnectionString)) {
         var taskStats = (from tasks in db.FactTasks
                         join jobs in db.DimJobs
@@ -35,5 +33,5 @@
                         (string.IsNullOrEmpty(userName) || jobs.UserName == userName)
                         select new { tasks.TotalWaitingTime, tasks.TotalTransferTime, tasks.TotalRuntime, tasks.NumCalculationRuns, 
-                          tasks.CoresRequired, tasks.MemoryRequired, tasks.TaskSize, tasks.ResultSize})
+                          tasks.CoresRequired, tasks.MemoryRequired})
                           .ToList();
 
@@ -45,10 +43,91 @@
         FullStats.Add(new KeyValuePair<string, double>("Cores Required", taskStats.Sum(c => c.CoresRequired)));
         FullStats.Add(new KeyValuePair<string, double>("Memory Required", taskStats.Sum(m => m.MemoryRequired)));
-        FullStats.Add(new KeyValuePair<string, double>("Task Size", taskStats.Sum(ts => ts.TaskSize)));
-        FullStats.Add(new KeyValuePair<string, double>("Result Size", taskStats.Sum(rs => Convert.ToDouble(rs.ResultSize))));
 
         return Json(FullStats, JsonRequestBehavior.AllowGet);
       }
     }
+
+    public JsonResult MoreTaskInfo(string taskId) {
+      using (var db = new HiveDataContext(Settings.Default.HeuristicLab_Hive_LinqConnectionString))
+      {
+        var moreInfo = (from tasks in db.FactTasks
+                         where tasks.TaskId.ToString() == taskId
+                         select new
+                         {
+                           tasks.TotalWaitingTime,
+                           tasks.TotalTransferTime,
+                           tasks.TotalRuntime,
+                           tasks.NumCalculationRuns,
+                           tasks.CoresRequired,
+                           tasks.MemoryRequired,
+                         })
+                          .ToList();
+
+        List<KeyValuePair<string, double>> AllInfo = new List<KeyValuePair<string, double>>();
+        AllInfo.Add(new KeyValuePair<string, double>("Number Calculation Runs", moreInfo.Sum(n => n.NumCalculationRuns)));
+        AllInfo.Add(new KeyValuePair<string, double>("Cores Required", moreInfo.Sum(c => c.CoresRequired)));
+        AllInfo.Add(new KeyValuePair<string, double>("Memory Required", moreInfo.Sum(m => m.MemoryRequired)));
+
+        return Json(AllInfo, JsonRequestBehavior.AllowGet);
+      }
+    }
+
+    public JsonResult MoreSlaveInfo(string slaveId) {
+      using (var db = new HiveDataContext(Settings.Default.HeuristicLab_Hive_LinqConnectionString))
+      {
+        var moreInfo = (from slaves in db.FactClientInfos
+                        where slaves.ClientId.ToString() == slaveId
+                        select new
+                        {
+                          slaves.Time,
+                          slaves.TotalTimeIdle,
+                          slaves.TotalTimeCalculating,
+                          slaves.TotalTimeTransferring,
+                          slaves.TotalTimeOffline,
+                          slaves.TotalTimeUnavailable
+                        }).ToList();
+
+        List<List<KeyValuePair<string, string>>> AllInfo = new List<List<KeyValuePair<string, string>>>();
+        List<List<KeyValuePair<string, string>>> DistinctInfo = new List<List<KeyValuePair<string, string>>>();
+        for(var i=0; i < moreInfo.Count; i++) {
+          List<KeyValuePair<string, string>> newRow = new List<KeyValuePair<string, string>>();
+          newRow.Add(new KeyValuePair<string, string>("Time", moreInfo.ElementAt(i).Time.ToShortDateString() + " " + moreInfo.ElementAt(i).Time.ToShortTimeString()));
+          newRow.Add(new KeyValuePair<string, string>("Time Idle", moreInfo.ElementAt(i).TotalTimeIdle.ToString()));
+          newRow.Add(new KeyValuePair<string, string>("Time Calculating", moreInfo.ElementAt(i).TotalTimeCalculating.ToString()));
+          newRow.Add(new KeyValuePair<string, string>("Time Transferring", moreInfo.ElementAt(i).TotalTimeTransferring.ToString()));
+          newRow.Add(new KeyValuePair<string, string>("Time Offline", moreInfo.ElementAt(i).TotalTimeOffline.ToString()));
+          newRow.Add(new KeyValuePair<string, string>("Time Unavailable", moreInfo.ElementAt(i).TotalTimeUnavailable.ToString()));
+          AllInfo.Add(newRow);
+        }
+
+        //Ensures that only records with changes in Traffic or Time fields are included
+        List<KeyValuePair<string, string>> lastRecord = null;
+        //Initilized to true to ensure first record is automatically included
+        bool isDistinct = true;
+        foreach (List<KeyValuePair<string, string>> row in AllInfo) {
+          //Ignores check for first row
+          if (lastRecord != null) {
+            isDistinct = false;
+            //Cycles through values of current row and lastRecord
+            for (var j=0; j < row.Count; j++) {
+              //Disregards time field from distinct checks
+              if (row.ElementAt(j).Key != "Time") {
+                //If values differ then row is distinct, break loop
+                if (row.ElementAt(j).Value != lastRecord.ElementAt(j).Value) {
+                  isDistinct = true;
+                  break;
+                }
+              }
+            }
+          }
+          lastRecord = row;
+          if (isDistinct) {
+            DistinctInfo.Add(row);
+          }
+        }
+
+        return Json(DistinctInfo, JsonRequestBehavior.AllowGet);
+      }
+    }
   }
 }
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Controllers/ChartDataController.cs
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Controllers/ChartDataController.cs	(revision 11221)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Controllers/ChartDataController.cs	(revision 11222)
@@ -139,9 +139,8 @@
     }
 
-    public JsonResult UserTask(string userName, DateTime? start = null, DateTime? end = null, string jobId = null, string taskState=null)
-    {
-      using (var db = new HiveDataContext(Settings.Default.HeuristicLab_Hive_LinqConnectionString))
-      {
-        TaskState state = GetTaskState(taskState);
+    public JsonResult UserTask(string userName, DateTime? start = null, DateTime? end = null, string jobId = null, string taskState=null) {
+      using (var db = new HiveDataContext(Settings.Default.HeuristicLab_Hive_LinqConnectionString)) {
+        TaskState? state = GetTaskState(taskState);
+
         var data =
           (from tasks in db.FactTasks
@@ -155,5 +154,7 @@
            select new
            {
-             TaskID = tasks.TaskId,
+             JobName = jobs.JobName,
+             JobId = jobs.JobId,
+             TaskId = tasks.TaskId,
              TotalWaiting = tasks.TotalWaitingTime,
              TotalTransfer = tasks.TotalTransferTime,
@@ -162,15 +163,5 @@
            }).OrderByDescending(s => s.StartDate).ToList();
 
-        List<KeyValuePair<string, List<double>>> results = new List<KeyValuePair<string, List<double>>>();
-
-        for (int i = 0; i < data.Count; i++) {
-          results.Add(
-            new KeyValuePair<string, List<double>>(
-              data[i].TaskID.ToString(),new List<double>{data[i].TotalWaiting,data[i].TotalTransfer,data[i].TotalRuntime}
-            )  
-          );
-        }
-
-        return Json(results, JsonRequestBehavior.AllowGet);
+        return Json(data, JsonRequestBehavior.AllowGet);
       }
     }
@@ -184,4 +175,6 @@
            join users in db.DimUsers
             on slaves.UserId equals users.UserId
+           join clients in db.DimClients
+            on slaves.ClientId equals clients.Id
            where (!start.HasValue || slaves.Time >= start) &&
            (!end.HasValue || slaves.Time < end) &&
@@ -190,4 +183,5 @@
            select new
            {
+             ClientName = clients.Name,
              SlaveID = slaves.ClientId,
              Time = slaves.Time,
@@ -203,6 +197,6 @@
     }
 
-    private static TaskState GetTaskState(string taskState) {
-      TaskState state = TaskState.Finished;
+    private static TaskState? GetTaskState(string taskState) {
+      TaskState? state;
       switch (taskState)
       {
@@ -230,4 +224,7 @@
         case "Waiting":
           state = TaskState.Waiting;
+          break;
+        default :
+          state = null;
           break;
       }
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Controllers/ExceptionDataController.cs
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Controllers/ExceptionDataController.cs	(revision 11221)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Controllers/ExceptionDataController.cs	(revision 11222)
@@ -12,5 +12,5 @@
     {
       using (var db = new HiveDataContext(Settings.Default.HeuristicLab_Hive_LinqConnectionString)) {
-        TaskState state = GetTaskState(taskState);
+        TaskState? state = GetTaskState(taskState);
         var data =
         (from tasks in db.FactTasks
@@ -47,4 +47,6 @@
          join jobs in db.DimJobs
            on tasks.JobId equals jobs.JobId
+         join clients in db.DimClients
+           on tasks.LastClientId equals clients.Id
          where tasks.Exception != null &&
           !tasks.Exception.Equals(string.Empty) && 
@@ -56,5 +58,7 @@
            ErrorMessage = tasks.Exception,
            ClientID = tasks.LastClientId,
+           ClientName = clients.Name,
            UserName = jobs.UserName,
+           JobName = jobs.JobName,
            StartDate = tasks.StartTime
          }).OrderByDescending(s => s.StartDate).ToList();
@@ -64,6 +68,7 @@
         for (int i = 0; i < data.Count; i++) {
           results.Add(
-            new List<string> { data[i].TaskID.ToString(), data[i].ErrorMessage, data[i].ClientID.ToString(), data[i].UserName,
-              data[i].StartDate.ToString("dd/MM/yyyy HH:mm")}
+            new List<string> { data[i].TaskID.ToString(), data[i].ErrorMessage, data[i].ClientID.ToString(), data[i].ClientName,
+              data[i].UserName, data[i].JobName, data[i].StartDate.ToString("dd/MM/yyyy HH:mm")
+            }
           );
         }
@@ -72,6 +77,6 @@
     }
 
-    private static TaskState GetTaskState(string taskState) {
-      TaskState state = TaskState.Finished;
+    private static TaskState? GetTaskState(string taskState) {
+      TaskState? state;
       switch (taskState) {
         case "Aborted":
@@ -99,4 +104,7 @@
           state = TaskState.Waiting;
           break;
+        default :
+          state = null;
+          break;
       }
       return state;
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Controllers/LoginRequiredController.cs
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Controllers/LoginRequiredController.cs	(revision 11221)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Controllers/LoginRequiredController.cs	(revision 11222)
@@ -42,6 +42,11 @@
         ViewBag.TaskStates = new SelectList(TaskStateList);
         var SlaveList = (from slave in db.FactClientInfos
-                         select slave.ClientId.ToString()).Distinct();
-        ViewBag.Slaves = new SelectList(SlaveList);
+                         join client in db.DimClients
+                          on slave.ClientId equals client.Id
+                         select new {
+                           SlaveId = slave.ClientId.ToString(),
+                           ClientName = client.Name
+                         }).Distinct();
+        ViewBag.Slaves = new SelectList(SlaveList, "SlaveId", "ClientName");
       }
 
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Scripts/CollapsingSection.js
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Scripts/CollapsingSection.js	(revision 11221)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Scripts/CollapsingSection.js	(revision 11222)
@@ -3,9 +3,9 @@
 $(".collapse").click(function () {
   if ($(this).html() == "-") {
-    $(this).parent().children("canvas, div, fieldset, label").fadeOut();
+    $(this).parent().children("canvas, div, fieldset, label, .chartContainer, a, table").fadeOut();
     $(this).html("+");
   }
   else {
-    $(this).parent().children("canvas, div, fieldset, label").fadeIn();
+    $(this).parent().children("canvas, div, fieldset, label, .chartContainer, a, table").fadeIn();
     $(this).html("-");
   }
@@ -18,9 +18,9 @@
   var jqCaller = $(caller);
   if (jqCaller.html() == "-") {
-    jqCaller.parent().children("canvas, div, fieldset, label, .chartContainer").fadeOut();
+    jqCaller.parent().children("canvas, div, fieldset, label, .chartContainer, a, table").fadeOut();
     jqCaller.html("+");
   }
   else {
-    jqCaller.parent().children("canvas, div, fieldset, label, .chartContainer").fadeIn();
+    jqCaller.parent().children("canvas, div, fieldset, label, .chartContainer, a, table").fadeIn();
     jqCaller.html("-");
   }
@@ -30,5 +30,5 @@
   section */
 function CollapsedByDefault(caller) {
-  $(caller).parent().children("canvas, div, fieldset, label, .chartContainer").hide();
+  $(caller).parent().children("canvas, div, fieldset, label, .chartContainer, a, table").hide();
 }
 
@@ -36,5 +36,5 @@
 function OpenOnError(caller) {
   var jqCaller = $(caller);
-  jqCaller.parent().children("canvas, div, fieldset, label, .chartContainer").fadeIn();
+  jqCaller.parent().children("canvas, div, fieldset, label, .chartContainer, a, table").fadeIn();
   jqCaller.parent().children("button").html("-");
 }
@@ -45,9 +45,9 @@
   var jqCaller = $(caller);
   if (jqCaller.html() == "-") {
-    jqCaller.parent().children("canvas, div, fieldset, label, .chartContainer, .tabSection").hide();
+    jqCaller.parent().children("canvas, div, fieldset, label, .chartContainer, .tabSection, a, table").hide();
     jqCaller.html("+");
   }
   else {
-    jqCaller.parent().children("canvas, div, fieldset, label, .chartContainer, .tabSection").show();
+    jqCaller.parent().children("canvas, div, fieldset, label, .chartContainer, .tabSection, a, table").show();
     jqCaller.html("-");
   }
